# GAMESS-UK NO2 doublet ROHF optimisation

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

gamess = GAMESS_UK(frag=no2, method="hf", basis="3-21g", scftype="rohf", mult=2)

opt = Opt(theory=gamess,
          algorithm="lbfgs", tolerance=0.0003, trust_radius="energy",
          maxcycle=100, maxene=100, maxstep=1.0)
          
opt.run()

ecalc = opt.result.energy

# Test result from Tcl-ChemShell
eref = -202.83635551

testutils.validate(ecalc, eref)
